<?php

/**
 * Callback for the settings loading on the node edit page.
 *
 * @param stdClass $node
 */
function contextly_ajax_node_edit_callback($node) {
  try {
    $contextly = Contextly::getInstance();
    $settings = $contextly->loadEditorSettings($node);
  }
  catch (ContextlyException $e) {
    _contextly_watchdog_exception($e);
    throw $e;
  }

  drupal_json($settings);
}
